;**************************************************************
;***    EMS5B7.ASM                                          ***
;***                                                        ***
;***    function        EMS_Ems.disableDMA40(               ***
;***                        regSet:         Byte)           ***
;***                        : Boolean;                      ***
;***                                                        ***
;***    disable DMA register set                            ***
;***                                                        ***
;***    Returns 0 if no error or an error code.             ***
;***                                                        ***
;***                                                        ***
;***                                                        ***
;***    (Ems Version 4.0)                                   ***
;**************************************************************

        .model  large,pascal   

        include emsdefs.asm 

        extrn   errno:WORD  

;
;   Define entry point
;
        public  EMS_Ems@disableDMA40

        .code

EMS_Ems@disableDMA40 proc regSet:Word, self:DWord

        mov     bx,regSet               ; BX gets the reg set #

        mov     ax,DisableDMA40         ; Make the EMS call
        int     Ems           

        or      ah,ah                   ; Set flags
        jnz     error

        xor     ax,ax                   ; Return OK
        ret         

error:
        mov     al,ah                   ; AL gets error code
        xor     ah,ah                   ; Zero extend
        mov     errno,ax                ; Save in errno too
        ret

EMS_Ems@disableDMA40 endp               ; End of procedure

        end                             ; End of source file
